Loading...
Searching...
No Matches
pcl::UniqueShapeContext1960 Struct Reference
Module common

A point structure representing a Unique Shape Context. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | UniqueShapeContext1960 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | descriptor [1960] = {0.f}
float | rf [9] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const UniqueShapeContext1960 &p)

## Detailed Description

A point structure representing a Unique Shape Context.

Definition at line 1334 of file point_types.hpp.

## Constructor & Destructor Documentation

## UniqueShapeContext1960()

constexpr pcl::UniqueShapeContext1960::UniqueShapeContext1960 | ( |  | ) |

inline constexpr default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::UniqueShapeContext1960::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1338 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const UniqueShapeContext1960 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

float pcl::UniqueShapeContext1960::descriptor[1960] = {0.f}

Definition at line 1336 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< UniqueShapeContext1960 >::copyToFloatArray().

## rf

float pcl::UniqueShapeContext1960::rf[9] = {0.f}

Definition at line 1337 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp